<?php
$text = "Ceci est le symbole de l'Euro '€'.";
echo 'Original : ', $text, PHP_EOL;
// TRANSLIT : si le caractère ne peut être représenté
// il est représenté approximativement à partir d'un ou plusieurs
// caractères représentant le même caractère
echo 'TRANSLIT : '.iconv("UTF-8", "ISO-8859-1//TRANSLIT", $text).PHP_EOL;
// IGNORE : les caractères qui ne peuvent être représentés dans
// le jeu de caractères cible sont tout simplement ignorés
echo 'IGNORE   : '.iconv("UTF-8", "ISO-8859-1//IGNORE", $text).PHP_EOL;
// Par défaut la chaîne est coupée à partir du premier caractère illégal
// ou pas traduite du tout.
echo 'Brut     : '.iconv("UTF-8", "ISO-8859-1", $text).PHP_EOL;
?>
